<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="title"
            type="String" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".WriteUserActivity">

        <include
            layout="@layout/toolbar"
            app:title="@{title}" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="8dp">

            <TextView
                style="@style/text_name"
                android:layout_width="120dp"
                android:layout_height="match_parent"
                android:text="@string/tire_number" />

            <TextView
                android:id="@+id/write_tire"
                style="@style/text_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/san_text" />
        </LinearLayout>
        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:padding="5dp"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="8dp">

            <TextView
                style="@style/text_name"
                android:layout_width="120dp"
                android:layout_height="match_parent"
                android:text="@string/epc_code" />

            <TextView
                android:id="@+id/write_epcCode"
                style="@style/text_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/san_text" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp">

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:onClick="writeReadEPC"
                android:text="@string/read_epc" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:onClick="writeUser"
                android:text="@string/write_in" />
        </LinearLayout>
     <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="20dp">

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:onClick="writeGoRead"
                android:text="@string/go_read" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:onClick="writeGoConfiguration"
                android:text="@string/go_configuration" />
        </LinearLayout>

    </LinearLayout>
</layout>